type TarballOptions = {
    useWorker: boolean;
};
type TarballFileInfo = {
    name: string;
    size: number;
    header_offset: number;
};
export default class Tarball {
    fileInfo: TarballFileInfo[];
    buffer: ArrayBuffer;
    options: TarballOptions;
    private worker;
    private resolve;
    private defaultOptions;
    constructor(buffer: ArrayBuffer, options?: Partial<TarballOptions>);
    getInfo(file_name: string): TarballFileInfo | undefined;
    getImage(file_name: string, index: number): Promise<HTMLImageElement | ImageBitmap>;
    destruct(): void;
    private readFileName;
    private readFileSize;
    private getBlob;
    private createWorker;
}
export {};
